Subject: misc

From: [email-masked]
Date: Tue, 2 Nov 93 19:32:45 CST

One of my friends who filed at the end of July or even early
August got her approval notice from the Northern Service Center
in mid-October.
  Mi Mi Sir sent out a message about the illigal Chinese immigrants,
and I have also seen the same from CND news today.  I do not
understand the rational behind the statement that that is a good
news for lcs.
  Several messages have referred "our sisters and brothers" and
asked us not to hurt them.  It seems to me that those messages
are referring to lcs.  Are the undocumented Chinese our "sisters
and brothers"?  I donot understand why we should hurt those who
has the potential to benefit from CSPA for no immediate reasons.
Some also argued that fake documents made the situation worse, and
I think INS understand this issue better than all of us.  In
principle, I am not against all the pledges that illigal immigrants
should be stopped.  But in practice, I agree with "jun@..." that
systematic and selected inforcement against Chinese is emotionally
acceptable.
X. Zhou